OctetSeqHelper (Java SE 9 & JDK 9 )
Keywords: org.omg.CORBA.OctetSeqHelper class

Module java.corba
Package org.omg.CORBA

## Class OctetSeqHelper

- java.lang.Object
- - org.omg.CORBA.OctetSeqHelper

-     public abstract class OctetSeqHelper
      extends Object

  The Helper for `OctetSeq`. For more information on Helper files, see "Generated Files: Helper Files".

  org/omg/CORBA/OctetSeqHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from streams.idl 13 May 1999 22:41:36 o'clock GMT+00:00 The class definition has been modified to conform to the following OMG specifications :

  - ORB core as defined by CORBA 2.3.1 (formal/99-10-07)
  - IDL/Java Language Mapping as defined in ptc/00-01-08

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OctetSeqHelper​()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static byte[]` | `extract​(Any a)` |
    `static String` | `id​()` |
    `static void` | `insert​(Any a, byte[] that)` |
    `static byte[]` | `read​(InputStream istream)` |
    `static TypeCode` | `type​()` |
    `static void` | `write​(OutputStream ostream, byte[] value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OctetSeqHelper

          public OctetSeqHelper​()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    byte[] that)

    - #### extract

          public static byte[] extract​(Any a)

    - #### type

          public static TypeCode type​()

    - #### id

          public static String id​()

    - #### read

          public static byte[] read​(InputStream istream)

    - #### write

          public static void write​(OutputStream ostream,
                                   byte[] value)